Subject: Re: bug#43110: Namespace Rsvg not available (syncthing-gtk)

From: Efraim Flashner <[email-masked]>
Date: Sun, 30 Aug 2020 14:47:49 +0300

On Sun, Aug 30, 2020 at 12:19:16PM +0200, Simen Endsjø wrote:
> 
> I just installed guix using the binary installation script on Manjaro.
> Installed syncthing-gtk, but I get an error when trying to run the
> application:
> 
>    Traceback (most recent call last):
>    File    "/gnu/store/6h3hg1z7n8rpg4lw18hya48acrsmzkxq-syncthing-gtk-0.9.4.4/bin/.syncthing-gtk-real",
> line 19, in <module>
>        gi.require_version('Rsvg', '2.0')
>    File    "/gnu/store/ns2dm6072h4crria79gid82ml37ab288-python2-pygobject-3.34.0/lib/python2.7/site-packages/gi/__init__.py",
> line 129, in require_version
>        raise ValueError('Namespace %s not available' % namespace)
>    ValueError: Namespace Rsvg not available
> 

I was able to reproduce this with 'guix environment --ad-hoc
syncthing-gtk -- syncthing-gtk'

I added librsvg to the inputs and then it launched as expected. I didn't
get any included icons when it appeared on my screen but that's related
to my setup (I think).

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted